Jump to content
cclarry

Waves Black Friday Early Access Deals

Recommended Posts

Thanks Larry,

API 2500 come to Pappa!!  Yea,..Yea I know, get it on Everyplugin cheaper.  

Grand Total $24.28
   😁

Edited by jesse g

Share this post


Link to post
Share on other sites
24 minutes ago, Fleer said:

Hi Lars, do we need to use a code?

It's not up at EveryPlugin yet..but the YNY23 code should work at Waves too!
 

  • Thanks 1

Share this post


Link to post
Share on other sites
6 hours ago, cclarry said:

It's not up at EveryPlugin yet..but the YNY23 code should work at Waves too!
 

I plugged in the the YNY23 code at Everyplugin and that 's when I got the lower price from their 26.99 to $24.28.   So,  yes it works.

I tried using the code for the discount on Waves site, but the price is still cheaper at Everyplugin.

  • Like 1

Share this post


Link to post
Share on other sites

The biggest problem now, with Waves, is the value has gone...
With WUP, and now transfer fees, they have reduced their value
dramatically.  Sad...because they are decent plugins

  • Sad 2

Share this post


Link to post
Share on other sites
1 hour ago, cclarry said:

The biggest problem now, with Waves, is the value has gone...
With WUP, and now transfer fees, they have reduced their value
dramatically.  Sad...because they are decent plugins

Truly sad :(

I have Aphex Exciter in V9 zone and Waves wants from me $26.91 to WUPs this...  😞 I could buy new instance of the plugin for this...

Unfortunately the plugin does not belong to any small bundle to find a way to upgrade it and leave V9 alone...

Edited by Piotr

Share this post


Link to post
Share on other sites
2 minutes ago, Piotr said:

Truly sad :(

I have Aphex Exciter in V9 zone and Waves wants from me $26.91 to WUPs this...  😞 I could buy need instance for this...

Unfortunately the plugin does not belong to any small bundle to find a way fro upgrade it and leave V9 alone...

There is the Dave Clarke Bundle that has Aphex for $83.51 with code YNY23
Your upgrade price from Koby should be cheaper.  Better than spending $27 on WUP
and there are also some other decent plugins in the bundle

  • Thanks 1

Share this post


Link to post
Share on other sites
23 minutes ago, Piotr said:

Truly sad :(

I have Aphex Exciter in V9 zone and Waves wants from me $26.91 to WUPs this...  😞 I could buy new instance of the plugin for this...

Unfortunately the plugin does not belong to any small bundle to find a way to upgrade it and leave V9 alone...

The question is does it work for you in v9.

It does not for me. 

If it works there is zero reason to "update" it.  

Share this post


Link to post
Share on other sites
20 minutes ago, cclarry said:

There is the Dave Clarke Bundle that has Aphex for $83.51 with code YNY23
Your upgrade price from Koby should be cheaper.  Better than spending $27 on WUP
and there are also some other decent plugins in the bundle

Just so I'm clear. If you upgrade to any "bundle", does everything in your Account WUP?

Share this post


Link to post
Share on other sites
Just now, mibby said:

Just so I'm clear. If you upgrade to any "bundle", does everything in your Account WUP?

No, only the plugins that you have upgraded from will get WUP'd through
the bundle

Share this post


Link to post
Share on other sites

How do you guys do that "mass WUP" thing again?    ...Or do you just "extend" the WUPping period by getting a new plugin?

Edited by mibby
  • Haha 1

Share this post


Link to post
Share on other sites
7 minutes ago, mibby said:

How do you guys do that "mass WUP" thing again?

Ok, if you want to WUP ALL of your current plugins, buy a new, cheap plugin, then
go to your Waves account, select all of your plugins, including the NEW one.  This way WUP is
renewed for 1 year, for ALL of your plugins from the LAST WUP expiration date, that
being the expiration date of the NEW plugin.  THIS gives you 2 years of WUP for the 
price of ONE, plus the cost of the new plugin, but it saves you LOTS of money!!!

Edited by cclarry
  • Like 1
  • Thanks 3

Share this post


Link to post
Share on other sites
44 minutes ago, Brian Walton said:

The question is does it work for you in v9.

It does not for me. 

If it works there is zero reason to "update" it.  

The is one reason for me unfortunately. It is annoying factor...

I would like to have more compact and simpler environment without V9 shells, and easier management having only V10 (and maybe V11)

  • Like 2

Share this post


Link to post
Share on other sites

Please sign in to comment

You will be able to leave a comment after signing in



Sign In Now

×
×
  • Create New...